
/*global __DEV__*/
const __DEV__ = true;

const isDev = typeof __DEV__ === 'boolean' && __DEV__;
import special from './special';
import transform from './transform';
import StyleSheetValidation from './StyleSheetValidation';

const TEXT_CAN_INHERIT_PROPERTY = [
  'color',
  'font',
  'fontFamily',
  'fontSize',
  'fontWeight',
  'fontStyle',
  'textAlign'
];

let copy = function(styles) {
  let props = [];
  for (let className in styles) {
    if (TEXT_CAN_INHERIT_PROPERTY.indexOf(className)) {
      props.push(className);
    }
  }
  return props;
};

let loopStyles = function(styles, parentStyle = {}) {
  let styleObj = {};
  for (let className in styles) {
    let style = styles[className];
    if (typeof style === 'object') {
      if (isDev) {
        StyleSheetValidation.validateStyle(className, styles);
      }
      styles[className] = loopStyles(style, styles);
    } else {
      if (special[className]) {
        let o = special[className](style);
        if (o.isDeleted) {
          styles[className] = null;
          delete styles[className];
        }
        styles = Object.assign(styles,o);
        style = o[className];
      }
      if (!styles.isDeleted) {
        styles[className] = transform(className, style, ['rgb', 'appendRemIfNeeded']);
      }

      delete styles.isDeleted;
    }
  }
  // 继承父元素
  for (let pStyleKey in parentStyle) {
    if (TEXT_CAN_INHERIT_PROPERTY.indexOf(pStyleKey) > -1 && !styles[pStyleKey]) {
      styles[pStyleKey] = parentStyle[pStyleKey];
    }
  }
  return styles;
};

export default loopStyles;
