'use strict';

import PropTypes from '../tool/proptypes';
import LayoutPropTypes from './LayoutPropTypes';
import ColorPropType from './ColorPropType';

/**
 * Warning: Some of these properties may not be supported in all releases.
 */
let ViewStylePropTypes = Object.assign({},LayoutPropTypes,{
  backgroundColor: ColorPropType,
  borderColor: ColorPropType,
  borderTopColor: ColorPropType,
  borderRightColor: ColorPropType,
  borderBottomColor: ColorPropType,
  borderLeftColor: ColorPropType,
  borderRadius: PropTypes.number,
  borderTopLeftRadius: PropTypes.number,
  borderTopRightRadius: PropTypes.number,
  borderBottomLeftRadius: PropTypes.number,
  borderBottomRightRadius: PropTypes.number,
  // borderStyle: PropTypes.oneOf(['solid', 'dotted', 'dashed']),
  borderWidth: PropTypes.number,
  borderTopWidth: PropTypes.number,
  borderRightWidth: PropTypes.number,
  borderBottomWidth: PropTypes.number,
  borderLeftWidth: PropTypes.number,
  opacity: PropTypes.number,
  overflow: PropTypes.oneOf(['visible', 'hidden'])
});

export default ViewStylePropTypes;
